Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
LoginRequest
| Property | Description | Type |
|---|---|---|
| dataSource | Datasource Required | string |
| partition | OPTIONAL - Partition Usually this is the environment, Staging, Pro, Web. An empty or NULL partition will result in all partitions being scanned. | string |
| password | Password Required | string |
| username | Username Required | string |
Example Request Body
{ "dataSource": "string", "partition": "string", "password": "string", "username": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
LoginResponse
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| token | string | ||||||||||
| user | ApiUser | ||||||||||
|
ApiUser properties
|
|||||||||||
Example Response
{ "token": "string", "user": { "fullName": "string", "userName": "string"
}
}